-- Do not manually edit this file, it was auto-generated by dillonkearns/elm-graphql
-- https://github.com/dillonkearns/elm-graphql


module UsersApi.Object.User exposing (..)

import CustomScalarCodecs
import Graphql.Internal.Builder.Argument as Argument exposing (Argument)
import Graphql.Internal.Builder.Object as Object
import Graphql.Internal.Encode as Encode exposing (Value)
import Graphql.Operation exposing (RootMutation, RootQuery, RootSubscription)
import Graphql.OptionalArgument exposing (OptionalArgument(..))
import Graphql.SelectionSet exposing (SelectionSet)
import Json.Decode as Decode
import UsersApi.InputObject
import UsersApi.Interface
import UsersApi.Object
import UsersApi.Scalar
import UsersApi.Union


id : SelectionSet CustomScalarCodecs.UserId UsersApi.Object.User
id =
    Object.selectionForField "CustomScalarCodecs.UserId" "id" [] (CustomScalarCodecs.codecs |> UsersApi.Scalar.unwrapCodecs |> .codecUserId |> .decoder)


firstName : SelectionSet String UsersApi.Object.User
firstName =
    Object.selectionForField "String" "firstName" [] Decode.string


lastName : SelectionSet String UsersApi.Object.User
lastName =
    Object.selectionForField "String" "lastName" [] Decode.string


bannerId : SelectionSet Int UsersApi.Object.User
bannerId =
    Object.selectionForField "Int" "bannerId" [] Decode.int


email : SelectionSet String UsersApi.Object.User
email =
    Object.selectionForField "String" "email" [] Decode.string
